/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jbpm.pvm.impl;

import java.util.Iterator;
import java.util.List;

import org.jbpm.pvm.VariableScope;

/**
 * @author Tom Baeyens
 */
public class VariableScopeIterator extends ExecutionScopeIterator implements Iterator<VariableScope> {

  private String key;

  public VariableScopeIterator(ExecutionImpl execution) {
    super(execution);
  }

  public VariableScopeIterator(ExecutionImpl execution, String key) {
    super(execution);
    this.key = key;
  }

  protected List getScopeListFromExecution() {
    return execution.getVariableScopes();
  }

  protected boolean isWanted(Object executionScope) {
    VariableScope variableScope = (VariableScope) executionScope;
    
    return ( (key==null)
             || (variableScope.has(key))
           );
  }

  public VariableScope next() {
    return (VariableScope) super.next();
  }
}
