/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jbpm.util;

/** exposes an array of booleans and uses an int to hold the state.
 * @author Tom Baeyens
 */
public class BooleanArray {
  
  int state = 0;

  public boolean get(int index) {
    if ((index<0) && (index>30)) {
      throw new ArrayIndexOutOfBoundsException(index);
    }
    return (state & (1<<index)) > 0;
  }
  
  public void set(int index, boolean value) {
    // if value is true
    if (value) {
      // set the bit field on the given index to 1
      state = state | (1<<index);
    } else {
      // set the bit field on the given index to 0
      state = state & (~1 << index);
    }
  }
}
