package org.jbpm.util;

/**
 * Interface for Listener
 * @author Tom Baeyens
 * @author Guillaume Porcher (documentation)
 *
 */
public interface Listener {

  /**
   * Method called by the {@link Observable} when an event is fired.
   * @param source {@link Observable} that fired the event.
   * @param eventName name of the event.
   * @param info informations about the fired event.
   */
  public void event(Object source, String eventName, Object info);
}
