/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.jbpm.wire.binding;

import org.jbpm.env.session.StandardTimerSession;
import org.jbpm.wire.descriptor.ObjectDescriptor;
import org.jbpm.wire.operation.InvokeOperation;
import org.jbpm.xml.Binding;
import org.jbpm.xml.Parse;
import org.jbpm.xml.Parser;
import org.w3c.dom.Element;

/**
 * @author Pascal Verdage
 */
public class StandardTimerSessionBinding implements Binding {

	public Object parse(Element element, Parse parse, Parser parser) {
	    ObjectDescriptor objectDescriptor = new ObjectDescriptor();
	    objectDescriptor.setClassName(StandardTimerSession.class.getName());

	    InvokeOperation invokeStartOperation = new InvokeOperation();
	    invokeStartOperation.setMethodName("start");
	    objectDescriptor.addOperation(invokeStartOperation);

	    return objectDescriptor;
	}

}
