/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jbpm.wire.descriptor;

import org.jbpm.PvmService;
import org.jbpm.client.CommandService;
import org.jbpm.client.impl.PvmServiceImpl;
import org.jbpm.wire.WireContext;
import org.jbpm.wire.WireDefinition;
import org.jbpm.wire.WireException;

/**
 * @author Tom Baeyens
 */
public class PvmServiceDescriptor extends AbstractDescriptor {

  private static final long serialVersionUID = 1L;

  public Object construct(WireContext wireContext) {
    return new PvmServiceImpl();
  }
  
  public void initialize(Object object, WireContext wireContext) {
    CommandService commandService = wireContext.get(CommandService.class);
    if (commandService==null) {
      throw new WireException("no command-service available");
    }
    ((PvmServiceImpl)object).setCommandService(commandService);
  }

  public Class< ? > getType(WireDefinition wireDefinition) {
    return PvmService.class;
  }
}
