/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.novabpm.util;

import junit.framework.TestCase;


/**
 * @author Pierre Vigneras
 * @date Feb 20, 2008
 */
public class FinalTest extends TestCase {

  /**
   * Test method for {@link org.ow2.novabpm.util.Final#init(java.lang.Object)}.
   */
  public void testInit() {
    Final<String> s = new Final<String>();
    try{
      s.init(null);
      fail("Should throw an IllegalArgumentException!");
    }catch(IllegalArgumentException iae) {
      //ok
    }
    s.init("Hello");
    try {
      s.init("World");
      fail("Should throw an IllegalStateException!");
    }catch(IllegalStateException ise) {
      //ok
    }
  }

  /**
   * Test method for {@link org.ow2.novabpm.util.Final#get()}.
   */
  public void testGet() {
    Final<String> s = new Final<String>();
    assertNull("Should return null!", s.get());
    s.init("Hello");
    assertEquals(s.get(), "Hello");
  }

  /**
   * Test method for {@link org.ow2.novabpm.util.Final#isInitialized()}.
   */
  public void testIsInitialized() {
    Final<String> s = new Final<String>();
    assertFalse(s.isInitialized());
    s.init("Hello");
    assertTrue(s.isInitialized());
  }

}
